diff --git a/build_scripts/linux/linux_gcc_build_x64_debug_local.sh b/build_scripts/linux/linux_gcc_build_x64_debug_local.sh
index 8c5214525dedb422e3bfce056cd5b00c9a1581f8..9371473bc80cba377e59f5c44778c3cb0619d8c0 100755
--- a/build_scripts/linux/linux_gcc_build_x64_debug_local.sh
+++ b/build_scripts/linux/linux_gcc_build_x64_debug_local.sh
@@ -13,7 +13,7 @@ BUILD_EXAMPLES=yes
 BUILD_TESTS=yes
 
 # Should we rebuild BOOST? (yes/no)
-REBUILD_BOOST=yes
+REBUILD_BOOST=no
 # Should we build the lib4neuro library? (yes)
 BUILD_LIB=yes
 
@@ -113,13 +113,11 @@ then
 	
 
     cd ../..
-
-    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;
-
+    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || (echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;)
 	if [ ${BUILD_ERROR_OCCURED} = "0" ]
 	then
         echo "Building the '${CYAN}lib4neuro${NC}' project for ${WHITE}Debug${NC} (building)"
-        cmake --build . --config Debug -- -j${N_CORES} && echo "${GREEN}Build complete${NC}." || echo "${RED}Build finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;
+        cmake --build . --config Debug -- -j${N_CORES} && echo "${GREEN}Build complete${NC}." || (echo "${RED}Build finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;)
 	fi
 
     cd build_scripts/linux
@@ -153,4 +151,4 @@ if [ ${BUILD_ERROR_OCCURED} = "1" ]
 then
     echo "${RED}Build encountered some errors!${NC}"
     exit 1
-fi
\ No newline at end of file
+fi